.deploy_gke:
  stage: deploy
  extends: .gke_template
  script:
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
    - kubectl get pods -n $NAMESPACE 
    - sed -i 's/CI_JOB_ID/'$TAG_IMAGE_FRONT'/g' k8s/novo/kustomize-front/deployment.yaml
    - kubectl apply -k k8s/novo/kustomize-front -n $NAMESPACE --validate=false
  #needs:
   # - build-job-front
  only:
    changes:  
      - k8s/novo/kustomize-front/*
  when: manual
